1. LVCIFER's Avatar
    Lately, there have been a lot of apps that can't be installed because they were designed (and require OS ("operating system") 3.1.3. Well, for jailbreakers, we obviously can't upgrade. But you RRREEEEEEAAALLLY want that app.

    Well, here's how.

    Simply go to Cydia, and install "Fake 3.1.3". Reboot your iPhone (don't panic, it takes a little while and a small progress bar may appear) and then go and download and install your desired app.

    Once again, I haven't encountered any issues, but do so at your own risk, as with everything jailbreak.

    Have fun tricking the system. *chuckle*
    03-10-2010 03:13 AM
  2. Ipheuria's Avatar
    Nice find LOL right now I don't think there are any apps that would make me go through all that trouble to get it. However what about 4.0, how long do you guys think it will take to become JBen? or do you think it will even be JBable?
    03-10-2010 08:44 AM
  3. flyingember's Avatar
    Interesting idea but be aware it may make those apps crash if/when they can't run code only in the 3.1.3 API
    03-10-2010 09:00 AM
  4. LVCIFER's Avatar
    Well I actually had to do this for three separate apps thus far (because I'm impatient) and so far, I haven't experienced any crashing.

    Keep in mind, 3.1.3 is an EXTREMELY minor update. It literally offers close to nothing new as an update from 3.1.2, so it's more or less tha same OS with mostly the same API structures. But thus far. I personally haven't run into any problems yet.
    03-10-2010 01:19 PM
  5. LVCIFER's Avatar
    As far as 4.0, we're looking at a release in June/July, so
    I'm thinking 2-3 weeks after it's released it should be jailbroken. Remember, Geohot claims to already have an exploit for 4.0, so let's hope that Apple doesn't accidentally close the hole with 4.0...
    03-10-2010 01:21 PM
  6. LVCIFER's Avatar
    PLUS, these hackers are sneaky. They will be using the 4.0 Beta 1/2/3/4 SDK's to search for holes as they are released. So it MAY be jailbroken sooner than that, you never know.
    03-10-2010 01:22 PM
  7. LVCIFER's Avatar
    Well, apparently BigBoss had the exact same idea as this thread!

    As of today, you can go to Cydia and download "Firmware 3.1.3" which does exactly what I stated above.

    There is only one thing that I have noticed about this trick that I don't like - in Cydia, it now states that I have SHSH saved for 3.1.3 as well.

    Interesting....
    03-10-2010 01:47 PM
  8. Ipheuria's Avatar
    Yeah I found that weird that Apple released such an incrimental nothing update. All the other updates even when they were just incrimental updates had something beneficial and this one no fan fare, no disecting well none that I've seen. I'll be glad if there truly is an exploit for 4.0 cause i'm looking forward to seeing how game changing the upgrade will be.
    03-10-2010 02:16 PM
  9. big9erfan's Avatar
    I don't think 3.1.3 introduced any new APIs anyways, perhaps bug fixes in existing ones, but not new ones.
    03-10-2010 02:17 PM
  10. LVCIFER's Avatar
    According to BigBoss, they released nothing. It was just designed to corrupt the ability to jailbreak...

    Which I believe, because Apple is filled with a bunch of modern communists.....
    03-10-2010 02:51 PM
  11. zarquon's Avatar
    Yesterday I had a couple of app updates that wouldn't install because they now require 3.1.3; given that there aren't any new APIs, why would any app suddenly change the OS requirement?
    03-18-2010 05:38 PM
  12. LVCIFER's Avatar
    Because the developers designated the app to require 3.1.3.

    You can follow my first post, it works.
    03-18-2010 05:39 PM
  13. zarquon's Avatar
    Because the developers designated the app to require 3.1.3
    Yes, I know, I meant why would they do that for no reason?

    And yes, I've already done as you suggested in your first post; I thank you for the info.
    03-18-2010 05:47 PM
  14. LVCIFER's Avatar
    Because it makes their apps seem 'current' and somewhat elite. It makes it look like the app was custom designed for the most current OS.

    OR, they just wanted to be douches.

    Who knows these things?
    03-18-2010 06:19 PM
LINK TO POST COPIED TO CLIPBOARD